<?php
namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class ParamOrgService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getValorReferencia(
        array $row
    ) {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getValorReferencia';

        $params = [
            'requestType' => 'Row',
            'row' => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $valor = $response['dataset'][$hcmServicesRoute]['valor'];

        return $valor;
    }
}
